SUBDIRS = po

xmlfiles = \
	keypad.xml \
	toolbar-fullscreen.xml \
	toolbar-window.xml

BUILT_SOURCES = $(xmlfiles:.xml=.c)

CLEANFILES = $(BUILT_SOURCES)

MAINTAINERCLEANFILES = \
	Makefile.in \
	$(addprefix $(srcdir),$(BUILT_SOURCES))

%.c: %.xml
	$(top_builddir)/src/mktrans $< > $@
	cmp $(srcdir)/$@ $@ || { chmod u+w $(srcdir) && ln $@ $(srcdir); }

EXTRA_DIST = \
	build_rpms.sh \
	gxine.spec.in \
	gxine.spec \
	lircrc \
	$(data_DATA) \
	$(sysconf_DATA)

datadir   = $(GXINE_MISCPATH)
data_DATA = mediamarks

sysconfdir   = $(GXINE_CONFPATH)
sysconf_DATA = gtkrc gtk.css startup $(xmlfiles)

debug: all

install-debug: install

xmltrans: $(BUILT_SOURCES)

.DELETE_ON_ERROR:
